For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accesskeys

Per user access key. This tag groups all operations for accesskeys.

Retrieve all Accesskeys

get

This endpoint enables retrieving all Accesskeys using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.accesskeyIdstringOptional

The accesskey ID to filter by.

Responses
200

Returned all requested Accesskeys successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of AccessKey resources.

Example: 5cd907ee-6b6a-5e3a-abaf-5c2edd01d78c
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of AccessKey resources.

Example: /accesskeys
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/accesskeys
GET /accesskeys HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "5cd907ee-6b6a-5e3a-abaf-5c2edd01d78c",
  "type": "collection",
  "href": "/accesskeys",
  "items": [
    {
      "id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
      "type": "accesskey",
      "href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "status": "AVAILABLE",
        "statusMessage": null,
        "administrative": false,
        "supportedRegions": [
          "de",
          "eu-central-2",
          "eu-south-2"
        ]
      },
      "properties": {
        "description": "Access key details",
        "accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
        "secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
        "canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
        "contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Create AccessKey

post

Creates a new AccessKey.

The full AccessKey needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
201

AccessKey successfully created.

application/json
idstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AccessKey.

Example: /accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
post/accesskeys
POST /accesskeys HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 65

{
  "metadata": {},
  "properties": {
    "description": "Access key details"
  }
}
{
  "id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
  "type": "accesskey",
  "href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null,
    "administrative": false,
    "supportedRegions": [
      "de",
      "eu-central-2",
      "eu-south-2"
    ]
  },
  "properties": {
    "description": "Access key details",
    "accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
    "secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
    "canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
    "contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
  }
}

Retrieve AccessKey

get

Returns the AccessKey by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
accesskeyIdstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
Responses
200

Getting AccessKey was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AccessKey.

Example: /accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
get/accesskeys/{accesskeyId}
GET /accesskeys/{accesskeyId} HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
  "type": "accesskey",
  "href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null,
    "administrative": false,
    "supportedRegions": [
      "de",
      "eu-central-2",
      "eu-south-2"
    ]
  },
  "properties": {
    "description": "Access key details",
    "accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
    "secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
    "canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
    "contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
  }
}

Ensure AccessKey

put

Ensures that the AccessKey with the provided ID is created or modified. The full AccessKey needs to be provided to ensure (either update or create) the AccessKey. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
accesskeyIdstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
Body
idstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
metadataanyOptional

Metadata

Responses
200

AccessKey successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AccessKey.

Example: /accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
put/accesskeys/{accesskeyId}
PUT /accesskeys/{accesskeyId} HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 109

{
  "id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
  "metadata": {},
  "properties": {
    "description": "Access key details"
  }
}
{
  "id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
  "type": "accesskey",
  "href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null,
    "administrative": false,
    "supportedRegions": [
      "de",
      "eu-central-2",
      "eu-south-2"
    ]
  },
  "properties": {
    "description": "Access key details",
    "accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
    "secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
    "canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
    "contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
  }
}

Delete AccessKey

delete

Deletes the specified AccessKey.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
accesskeyIdstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
Responses
202

Deleting AccessKey was successful.

No content

delete/accesskeys/{accesskeyId}
DELETE /accesskeys/{accesskeyId} HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Ensure AccessKey

put

Renew will replace the existing secret access key with a new one.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
accesskeyIdstring · uuidRequired

The ID (UUID) of the AccessKey that should be ensured.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
Responses
200

AccessKey successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AccessKey.

Example: /accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
put/accesskeys/{accesskeyId}/renew
PUT /accesskeys/{accesskeyId}/renew HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
  "type": "accesskey",
  "href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null,
    "administrative": false,
    "supportedRegions": [
      "de",
      "eu-central-2",
      "eu-south-2"
    ]
  },
  "properties": {
    "description": "Access key details",
    "accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
    "secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
    "canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
    "contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
  }
}

Last updated

Was this helpful?